#pragma once

#include "splitoverride.h"

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:
	CSplitOverride splitLR;
	CSplitterWnd splitUD;
	CSplitterWnd splitViews;

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT&);
	virtual BOOL OnCreateClient(LPCREATESTRUCT, CCreateContext*);

// Implementation
public:
	virtual ~CMainFrame();

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext&) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT);
	DECLARE_MESSAGE_MAP()
};


