#pragma once

#include "datastructures.h"

class CPCA_ReconstructorDoc : public CDocument
{
protected: // create from serialization only
	CPCA_ReconstructorDoc();
	DECLARE_DYNCREATE(CPCA_ReconstructorDoc)

// Attributes
public:
	CMatrix eigenFeat[FEATURE_NUM];
	CMatrix imageSpace[FEATURE_NUM];
	CFaceMap imageMap;
	CString dImage, iImage;
	CFaceParams iParam, tParam;

// Operations
public:
	CView* getView(CRuntimeClass*);

// Overrides
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive&);

// Implementation
public:
	virtual ~CPCA_ReconstructorDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext&) const;
#endif

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};


