#pragma once

#include "dialogbox.h"

// CProgressDialog dialog

class CProgressDialog : public CDialogBox
{
	DECLARE_DYNAMIC(CProgressDialog)

public:
	CProgressDialog(CWnd* = 0);   // standard constructor
	virtual ~CProgressDialog();
	void setText(int, const CString&);
	void setProgress(int);
	static HWND wHnd;

// Dialog Data
	enum { IDD = IDD_PROGRESS_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnBnClickedProgressStopButton();
	afx_msg void OnShowWindow(BOOL, UINT);
};
