#include "stdafx.h"
#include "PCA_Reconstructor.h"
#include "dialogbox.h"

IMPLEMENT_DYNAMIC(CDialogBox, CDialog)

CDialogBox::CDialogBox(CWnd* pParent)
	: CDialog(CDialogBox::IDD, pParent)
{
}

CDialogBox::CDialogBox(UINT nIDTemplate, CWnd* pParent)
	: CDialog(nIDTemplate, pParent), parent(pParent)
{
}

CDialogBox::~CDialogBox()
{
}

void CDialogBox::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BOOL CDialogBox::OnInitDialog()
{
	BOOL flag = CDialog::OnInitDialog();
	CRect cRect, wRect;
	GetClientRect(cRect);
	GetWindowRect(wRect);
	int width = GetSystemMetrics(SM_CXFULLSCREEN);
	int height = GetSystemMetrics(SM_CYFULLSCREEN);
	MoveWindow(cRect.left + (width - wRect.Width()) / 2, 
		cRect.top + (height - wRect.Height()) / 2, 
		wRect.Width(), wRect.Height());
	return flag;
}


BEGIN_MESSAGE_MAP(CDialogBox, CDialog)
END_MESSAGE_MAP()