/********************************************************************************

PROJECT:		CS 298 Project

FILE:			splitoverride.cpp

PURPOSE:		Implementation that inherits from base class 
				CSplitterWnd to disable the ability to move 
				splitter borders.

COMPILER:		Visual C++ .NET

PROGRAMMER:		Wallun Chan

START DATE:		9/1/05		

********************************************************************************/

#include "stdafx.h"
#include "splitoverride.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

IMPLEMENT_DYNAMIC(CSplitOverride, CSplitterWnd)

BEGIN_MESSAGE_MAP(CSplitOverride, CSplitterWnd)
	ON_WM_NCHITTEST()
END_MESSAGE_MAP()

// CSplitOverride constructor
CSplitOverride::CSplitOverride()
{
}

// CSplitOverride destructor
CSplitOverride::~CSplitOverride()
{
}

// CSplitOverride message handlers
afx_msg UINT CSplitOverride::OnNcHitTest(CPoint point)
/* PURPOSE:		Prevents user from moving splitter borders.
*/
{
	return HTNOWHERE;
}