/***************************************************************************

PROJECT:		CS 298 Project

FILE:			InputView.h

PURPOSE:		Displays input image to be aged.

COMPILER:		Visual C++ .NET 2003

PROGRAMMER:		Wallun Chan

START DATE:		9/1/05	

***************************************************************************/ 

#pragma once

#include "SelectView.h"

class CInputView : public CSelectView
{
	DECLARE_DYNCREATE(CInputView)

protected:
	CInputView();
	virtual ~CInputView();
	virtual BOOL checkPoint(CPoint);
	BOOL reconstructEnable;

public:
	virtual void OnInitialUpdate();

protected:
	DECLARE_MESSAGE_MAP()

public:
	afx_msg void OnReconstructContext();
	afx_msg void OnResetInputContext();
	afx_msg void OnContextMenu(CWnd*, CPoint);
};