/********************************************************************************

PROJECT:		CS 298 Project

FILE:			PCA_ReconstructorDoc.cpp

PURPOSE:		Storehouse for data.

COMPILER:		Visual C++ .NET 2003

PROGRAMMER:		Wallun Chan

START DATE:		9/1/05		

********************************************************************************/

#include "stdafx.h"
#include "PCA_Reconstructor.h"
#include "PCA_ReconstructorDoc.h"
#include "constants.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CPCA_ReconstructorDoc

IMPLEMENT_DYNCREATE(CPCA_ReconstructorDoc, CDocument)

BEGIN_MESSAGE_MAP(CPCA_ReconstructorDoc, CDocument)
END_MESSAGE_MAP()


// CPCA_ReconstructorDoc construction/destruction

CPCA_ReconstructorDoc::CPCA_ReconstructorDoc()
{
}

CPCA_ReconstructorDoc::~CPCA_ReconstructorDoc()
{
}

BOOL CPCA_ReconstructorDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	SetTitle(APP_HEADING);
	return TRUE;
}




// CPCA_ReconstructorDoc serialization

void CPCA_ReconstructorDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
	}
	else
	{
	}
}


// CPCA_ReconstructorDoc diagnostics

#ifdef _DEBUG
void CPCA_ReconstructorDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CPCA_ReconstructorDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CPCA_ReconstructorDoc commands

CView* CPCA_ReconstructorDoc::getView(CRuntimeClass* runtimeClass)
/* PURPOSE:		Searches for and returns specific view attached 
				to parent window (e.g. template view, test view,
				map view, or feature locate view.

   RECEIVES:	Run-time class of view to retrieve.

   RETURNS:		Specific view attached to parent window.
*/
{
	POSITION pos = GetFirstViewPosition();
	while (pos != NULL)
	{	CView* pView = GetNextView(pos);
		if (pView->GetRuntimeClass() == runtimeClass)
			return pView;
	}  
	return NULL;
}