/********************************************************************************

PROJECT:		CS 298 Project

FILE:			PCA_ReconstructorView.cpp

PURPOSE:		Main view.

COMPILER:		Visual C++ .NET 2003

PROGRAMMER:		Wallun Chan

START DATE:		9/1/05		

********************************************************************************/

#include "stdafx.h"
#include "PCA_Reconstructor.h"
#include "PCA_ReconstructorDoc.h"
#include "PCA_ReconstructorView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CPCA_ReconstructorView

IMPLEMENT_DYNCREATE(CPCA_ReconstructorView, CView)

BEGIN_MESSAGE_MAP(CPCA_ReconstructorView, CView)
END_MESSAGE_MAP()

// CPCA_ReconstructorView construction/destruction

CPCA_ReconstructorView::CPCA_ReconstructorView()
{
}

CPCA_ReconstructorView::~CPCA_ReconstructorView()
{
}

BOOL CPCA_ReconstructorView::PreCreateWindow(CREATESTRUCT& cs)
{
	return CView::PreCreateWindow(cs);
}

// CPCA_ReconstructorView drawing

void CPCA_ReconstructorView::OnDraw(CDC* /*pDC*/)
{
	CPCA_ReconstructorDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;
}


// CPCA_ReconstructorView diagnostics

#ifdef _DEBUG
void CPCA_ReconstructorView::AssertValid() const
{
	CView::AssertValid();
}

void CPCA_ReconstructorView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CPCA_ReconstructorDoc* CPCA_ReconstructorView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CPCA_ReconstructorDoc)));
	return (CPCA_ReconstructorDoc*)m_pDocument;
}
#endif //_DEBUG


// CPCA_ReconstructorView message handlers
