#include "stdafx.h"
#include "PCA_Reconstructor.h"
#include "dialogbox.h"
#include "PromptDialog.h"
#include "constants.h"

IMPLEMENT_DYNAMIC(CFeatureSelectPrompt, CDialogBox)

CFeatureSelectPrompt::CFeatureSelectPrompt(CWnd* pParent)
	: CDialogBox(CFeatureSelectPrompt::IDD, pParent), selected()
{
}

CFeatureSelectPrompt::~CFeatureSelectPrompt()
{
}

BOOL CFeatureSelectPrompt::OnInitDialog()
{
	BOOL flag = CDialogBox::OnInitDialog();
	featureSelectList.AddString(MSG_STR1);
	featureSelectList.AddString(MSG_STR2);
	featureSelectList.AddString(MSG_STR3);
	featureSelectList.AddString(MSG_STR4);
	featureSelectList.AddString(MSG_STR5);
	featureSelectList.SetCurSel(0);
	return flag;
}

INT_PTR CFeatureSelectPrompt::DoModal()
{
	if (CDialogBox::DoModal() == IDOK)
		return selected;
	else
		return -1;
}

void CFeatureSelectPrompt::OnOK()
{
	selected = featureSelectList.GetCurSel();
	CDialogBox::OnOK();
}

void CFeatureSelectPrompt::OnCancel()
{
	CDialogBox::OnCancel();
}

void CFeatureSelectPrompt::DoDataExchange(CDataExchange* pDX)
{
	CDialogBox::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_FEATURE_PROMPT_LIST, featureSelectList);
}


BEGIN_MESSAGE_MAP(CFeatureSelectPrompt, CDialogBox)
	ON_LBN_DBLCLK(IDC_FEATURE_PROMPT_LIST, OnLbnDblclkFeaturePromptList)
END_MESSAGE_MAP()


// CFeatureSelectPrompt message handlers

void CFeatureSelectPrompt::OnLbnDblclkFeaturePromptList()
{
	OnOK();
}