#ifndef _RECONSTRUCT_H_
#define _RECONSTRUCT_H_

#include "imagematrix.h"
#include "eigenutil.h"

class CReconstruct
{
public:
	CReconstruct(CFaceMap* = 0);
	~CReconstruct();
	BOOL reconstruct(const CString&, CMatrix*, CMatrix*, 
		CImageMatrix&, CImageMatrix&, CFaceParams&, 
		int, double, int*, int*, FuncPtr, int = 0, int = 0);
	BOOL reconstruct(const CString&, CRect*, double, 
		CMatrix*, CMatrix*, CImageMatrix&, CImageMatrix&, 
		int, double, int*, int*, FuncPtr, int = 0, int = 0);
private:
	CFaceMap* faceMap;
	BOOL init(const CString&, CImageMatrix&, CEigenParams&);
	BOOL reconstruct(const CEigenParams&, CImageMatrix&, CRect [], 
		int, int, double, CMatrix*, CMatrix*, CImageMatrix&,
		CImageMatrix&, int, double, int*, int*, FuncPtr, int, int);
};

#endif