/***************************************************************************

PROJECT:		CS 298 Project

FILE:			winutil.h

PURPOSE:		Declarations for functions that contains code to
				support the display, querying, and traversal of
				directory and file path.

COMPILER:		Visual C++ .NET 2003

PROGRAMMER:		Wallun Chan

START DATE:		9/1/05

COMMENTS:		Code is taken from Mario Giannini and Jim Keogh. 
				Windows Programming: Programmer's Notebook. 
				Prentice Hall, 2001.

***************************************************************************/ 

#ifndef _DIR_UTIL_H_
#define _DIR_UTIL_H_

class CWinUtil
{
public:
	static LPCSTR GetSubPath(const char*);
	static int BuildFileList(CStringArray&, const char*);
	static int BuildDirList(CStringArray&, const char*);
	static BOOL DemoBrowseForFolder(const char*, const char*, bool = false);
};

#endif